summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2017-01-02 22:19:54 +0000
committerJustin Lecher <jlec@gentoo.org>2017-01-02 22:19:54 +0000
commit5be3396bbda2c7e75d6cc7fb85e359f9576b4e45 (patch)
tree1640f5b083fe96335e56a5c30a3b6f201460ba93 /sci-libs/hdf5
parentdev-python/nbdime: New package. (diff)
downloadgentoo-5be3396bbda2c7e75d6cc7fb85e359f9576b4e45.tar.gz
gentoo-5be3396bbda2c7e75d6cc7fb85e359f9576b4e45.tar.bz2
gentoo-5be3396bbda2c7e75d6cc7fb85e359f9576b4e45.zip
sci-libs/hdf5: Drop vulnerable versions for CVE-2016-4330
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=604386 Package-Manager: Portage-2.3.3, Repoman-2.3.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'sci-libs/hdf5')
-rw-r--r--sci-libs/hdf5/Manifest3
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.10-buildsystem.patch33
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.10-comments.patch42
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.10-implicits.patch54
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.10_p1-comments.patch29
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.13-implicits.patch35
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.14-implicits.patch55
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.14-ldflags.patch20
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.8-array_bounds.patch22
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.8-buildsystem.patch33
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.8-implicits.patch85
-rw-r--r--sci-libs/hdf5/files/hdf5-1.8.9-implicits.patch55
-rw-r--r--sci-libs/hdf5/files/mpd.conf2
-rw-r--r--sci-libs/hdf5/hdf5-1.8.14-r1.ebuild105
-rw-r--r--sci-libs/hdf5/hdf5-1.8.15_p1.ebuild104
-rw-r--r--sci-libs/hdf5/hdf5-1.8.17.ebuild110
16 files changed, 0 insertions, 787 deletions
diff --git a/sci-libs/hdf5/Manifest b/sci-libs/hdf5/Manifest
index 72b6e9a312d..a988c49c5af 100644
--- a/sci-libs/hdf5/Manifest
+++ b/sci-libs/hdf5/Manifest
@@ -1,4 +1 @@
-DIST hdf5-1.8.14.tar.bz2 9503743 SHA256 53722cb9f5977af2908f92fc1a3f8c597800a5cb448cfe5c75060d6335bb9bab SHA512 c4f0bb01df7bef9cd29c42ec2e27f4bd27c3e059cf18f1285c583e92b94ef799f8a29ec85c17bab12e47a69626851fbda4b8d74543266b01aa2cffc42cde4fea WHIRLPOOL 646d44d446e2bd2855567046ca00f302e02d39880a77f2d75fd6231ad74692c07910c8670ffa5e02f2922e4e28c5a4afd06f907ac5950615dd328c3e7346f578
-DIST hdf5-1.8.15-patch1.tar.bz2 10006036 SHA256 a5afc630c4443547fff15e9637b5b10404adbed4c00206d89517d32d6668fb32 SHA512 380c06f3cab469351d6ddc940c7cdffd5bd20a74e69cb4d549989bec5f130dadae11c04928ead7eea0200a175fc45a042d068a752d8a9c19a35c3a6912a147bd WHIRLPOOL 0c4c918eea3b70a2c4dea2098f24ddb612af6bf026749144dae19380f60de9d4123acd3c4bf324a1a313e4fae1d7874de48afd9e6720bbcc3c4f1fb1c1bc0288
-DIST hdf5-1.8.17.tar.bz2 10030234 SHA256 fc35dd8fd8d398de6b525b27cc111c21fc79795ad6db1b1f12cb15ed1ee8486a SHA512 b0fe630b98a83470c48443215b7073fd22c4390cc459127a4c9554682ae8aec215017c7f34adb8494da4b31fabe6580e9d1b63eddb949432d595e99705c0bbd1 WHIRLPOOL 64e508df74aca518be918dbac10db653004f254779e413ee501a7d550892e6baaa56a0891af28a88d419fa06aa3b06a3c213f45e99b7e2bafc7a9d98e9fe4337
DIST hdf5-1.8.18.tar.bz2 10081294 SHA256 01c6deadf4211f86922400da82c7a8b5b50dc8fc1ce0b5912de3066af316a48c SHA512 01f6d14bdd3be2ced9c63cc9e1820cd7ea11db649ff9f3a3055c18c4b0fffe777fd23baad536e3bce31c4d76fe17db64a3972762e1bb4d232927c1ca140e72b2 WHIRLPOOL c1ea97aa30ded9f3129edf47cfda3b7e371aa21fcb2fc409005818f69ed0f0ac41a19e28ec38a5da2c417ef98033f197292169c88f7db81dd94244b016ab2595
diff --git a/sci-libs/hdf5/files/hdf5-1.8.10-buildsystem.patch b/sci-libs/hdf5/files/hdf5-1.8.10-buildsystem.patch
deleted file mode 100644
index 58bcc500165..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.10-buildsystem.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-Prevent build system with messing up LD_LIBRARY_PATH
-
---- a/configure.ac
-+++ b/configure.ac
-@@ -2331,8 +2331,6 @@ AC_TRY_COMPILE(,[
- ##
- AC_MSG_CHECKING([how to print long long])
- AC_CACHE_VAL([hdf5_cv_printf_ll], [
--LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo $AM_LDFLAGS $LDFLAGS | sed -e 's/-L/:/g' -e 's/ //g'`"
--export LD_LIBRARY_PATH
-
- for hdf5_cv_printf_ll in l ll L q unknown; do
- AC_TRY_RUN([
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -125,8 +125,6 @@ settings_DATA=libhdf5.settings
- # Remove the generated .c file if errors occur unless HDF5_Make_Ignore
- # is set to ignore the error.
- H5Tinit.c: H5detect$(EXEEXT)
-- LD_LIBRARY_PATH="$$LD_LIBRARY_PATH`echo $(LDFLAGS) | \
-- sed -e 's/-L/:/g' -e 's/ //g'`" \
- $(RUNSERIAL) ./H5detect$(EXEEXT) > $@ || \
- (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
- ($(RM) $@ ; exit 1)
-@@ -137,8 +135,6 @@ H5Tinit.c: H5detect$(EXEEXT)
- # Remove the generated .c file if errors occur unless HDF5_Make_Ignore
- # is set to ignore the error.
- H5lib_settings.c: H5make_libsettings$(EXEEXT) libhdf5.settings
-- LD_LIBRARY_PATH="$$LD_LIBRARY_PATH`echo $(LDFLAGS) | \
-- sed -e 's/-L/:/g' -e 's/ //g'`" \
- $(RUNSERIAL) ./H5make_libsettings$(EXEEXT) > $@ || \
- (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
- ($(RM) $@ ; exit 1)
diff --git a/sci-libs/hdf5/files/hdf5-1.8.10-comments.patch b/sci-libs/hdf5/files/hdf5-1.8.10-comments.patch
deleted file mode 100644
index 845bd81bdd8..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.10-comments.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-Convert // comment marks to /**/ in order to fix FTBS on ia64
-
-https://bugs.gentoo.org/show_bug.cgi?id=447740
-
-Patch written by Kacper Kowalik <xarthisius@gentoo.org>
---- a/test/th5s.c
-+++ b/test/th5s.c
-@@ -730,8 +730,8 @@ test_h5s_zero_dim(void)
- ret = H5Pset_chunk(plist_id, SPACE1_RANK, chunk_dims);
- CHECK(ret, FAIL, "H5Pset_chunk");
-
-- // ret = H5Pset_alloc_time(plist_id, alloc_time);
-- // CHECK(ret, FAIL, "H5Pset_alloc_time");
-+ /* ret = H5Pset_alloc_time(plist_id, alloc_time);
-+ CHECK(ret, FAIL, "H5Pset_alloc_time"); */
-
- dset1 = H5Dcreate2(fid1, BASICDATASET1, H5T_NATIVE_INT, sid_chunk, H5P_DEFAULT, plist_id, H5P_DEFAULT);
- CHECK(dset1, FAIL, "H5Dcreate2");
---- a/tools/h5dump/h5dump_ddl.c
-+++ b/tools/h5dump/h5dump_ddl.c
-@@ -1341,8 +1341,8 @@ handle_attributes(hid_t fid, const char *attr, void UNUSED * data, int UNUSED pe
- string_dataformat.do_escape = display_escape;
- outputformat = &string_dataformat;
-
-- //attr_name = attr + j + 1;
-- // need to replace escape characters
-+ /* attr_name = attr + j + 1; */
-+ /* need to replace escape characters */
- attr_name = h5tools_str_replace(attr + j + 1, "\\/", "/");
-
-
---- a/tools/lib/h5tools_str.c
-+++ b/tools/lib/h5tools_str.c
-@@ -632,7 +632,7 @@ h5tools_str_indent(h5tools_str_t *str, const h5tool_format_t *info,
- h5tools_str_append(str, "%s", OPT(info->line_indent, ""));
- }
-
--// ctx->need_prefix = 0;
-+ /* ctx->need_prefix = 0; */
- }
-
- /*-------------------------------------------------------------------------
diff --git a/sci-libs/hdf5/files/hdf5-1.8.10-implicits.patch b/sci-libs/hdf5/files/hdf5-1.8.10-implicits.patch
deleted file mode 100644
index a0b59b74e70..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.10-implicits.patch
+++ /dev/null
@@ -1,54 +0,0 @@
---- a/configure.ac
-+++ b/configure.ac
-@@ -1494,6 +1494,9 @@ case "$host_cpu-$host_vendor-$host_os" in
- ## however, we do not do this since it breaks the big test on some
- ## older platforms.
- AM_CPPFLAGS="-D_BSD_SOURCE $AM_CPPFLAGS"
-+
-+ dnl _GNU_SOURCE is needed for vasprintf
-+ AM_CPPFLAGS="-D_GNU_SOURCE $AM_CPPFLAGS"
- ;;
- esac
-
---- a/hl/src/H5LTanalyze.c
-+++ b/hl/src/H5LTanalyze.c
-@@ -49,6 +49,7 @@
- #define YY_FLEX_MINOR_VERSION 5
-
- #include <stdio.h>
-+#include "H5pubconf.h"
- #ifdef H5_HAVE_UNISTD_H
- #include <unistd.h>
- #endif
---- a/test/cache_common.h
-+++ b/test/cache_common.h
-@@ -702,5 +702,9 @@ void validate_mdc_config(hid_t file_id,
- hbool_t compare_init,
- int test_num);
-
-+hbool_t resize_configs_are_equal(const H5C_auto_size_ctl_t *a,
-+ const H5C_auto_size_ctl_t *b,
-+ hbool_t compare_init);
-+
- #endif /* _CACHE_COMMON_H */
-
---- a/tools/h5repack/testh5repack_detect_szip.c
-+++ b/tools/h5repack/testh5repack_detect_szip.c
-@@ -18,6 +18,7 @@
- #include "h5tools.h"
- #include "h5tools_utils.h"
- #include "h5test.h"
-+#include "h5tools_utils.h"
-
-
- /* Name of tool */
---- a/tools/misc/talign.c
-+++ b/tools/misc/talign.c
-@@ -23,6 +23,7 @@
-
- #include "hdf5.h"
- #include "H5private.h"
-+#include "h5tools.h"
-
- const char *fname = "talign.h5";
- const char *setname = "align";
diff --git a/sci-libs/hdf5/files/hdf5-1.8.10_p1-comments.patch b/sci-libs/hdf5/files/hdf5-1.8.10_p1-comments.patch
deleted file mode 100644
index 44af8080bbf..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.10_p1-comments.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-Convert // comment marks to /**/ in order to fix FTBS on ia64
-
-https://bugs.gentoo.org/show_bug.cgi?id=447740
-
-Patch written by Kacper Kowalik <xarthisius@gentoo.org>
---- a/tools/h5dump/h5dump_ddl.c
-+++ b/tools/h5dump/h5dump_ddl.c
-@@ -1341,8 +1341,8 @@ handle_attributes(hid_t fid, const char *attr, void UNUSED * data, int UNUSED pe
- string_dataformat.do_escape = display_escape;
- outputformat = &string_dataformat;
-
-- //attr_name = attr + j + 1;
-- // need to replace escape characters
-+ /* attr_name = attr + j + 1; */
-+ /* need to replace escape characters */
- attr_name = h5tools_str_replace(attr + j + 1, "\\/", "/");
-
-
---- a/tools/lib/h5tools_str.c
-+++ b/tools/lib/h5tools_str.c
-@@ -632,7 +632,7 @@ h5tools_str_indent(h5tools_str_t *str, const h5tool_format_t *info,
- h5tools_str_append(str, "%s", OPT(info->line_indent, ""));
- }
-
--// ctx->need_prefix = 0;
-+ /* ctx->need_prefix = 0; */
- }
-
- /*-------------------------------------------------------------------------
diff --git a/sci-libs/hdf5/files/hdf5-1.8.13-implicits.patch b/sci-libs/hdf5/files/hdf5-1.8.13-implicits.patch
deleted file mode 100644
index 2061d16f71e..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.13-implicits.patch
+++ /dev/null
@@ -1,35 +0,0 @@
---- a/test/cache_common.h
-+++ b/test/cache_common.h
-@@ -702,5 +702,8 @@ void validate_mdc_config(hid_t file_id,
- hbool_t compare_init,
- int test_num);
-
-+hbool_t resize_configs_are_equal(const H5C_auto_size_ctl_t *a,
-+ const H5C_auto_size_ctl_t *b,
-+ hbool_t compare_init);
- #endif /* _CACHE_COMMON_H */
-
---- a/testpar/t_span_tree.c
-+++ b/testpar/t_span_tree.c
-@@ -37,6 +37,9 @@
- #include "hdf5.h"
- #include "H5private.h"
- #include "testphdf5.h"
-+#define H5S_PACKAGE
-+#define H5S_TESTING
-+#include "H5Spkg.h"
-
-
- static void coll_write_test(int chunk_factor);
---- a/configure.ac
-+++ b/configure.ac
-@@ -1504,6 +1504,9 @@ case "$host_cpu-$host_vendor-$host_os" in
- ## however, we do not do this since it breaks the big test on some
- ## older platforms.
- AM_CPPFLAGS="-D_BSD_SOURCE $AM_CPPFLAGS"
-+
-+ ## _GNU_SOURCE is needed for vasprintf
-+ AM_CPPFLAGS="-D_GNU_SOURCE $AM_CPPFLAGS"
- ;;
- esac
-
diff --git a/sci-libs/hdf5/files/hdf5-1.8.14-implicits.patch b/sci-libs/hdf5/files/hdf5-1.8.14-implicits.patch
deleted file mode 100644
index 4ee6e83d9f2..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.14-implicits.patch
+++ /dev/null
@@ -1,55 +0,0 @@
---- a/configure.ac
-+++ b/configure.ac
-@@ -1522,6 +1522,9 @@ case "$host_cpu-$host_vendor-$host_os" in
- ## however, we do not do this since it breaks the big test on some
- ## older platforms.
- AM_CPPFLAGS="-D_BSD_SOURCE $AM_CPPFLAGS"
-+
-+ ## _GNU_SOURCE is needed for vasprintf
-+ AM_CPPFLAGS="-D_GNU_SOURCE $AM_CPPFLAGS"
- ;;
- esac
-
---- a/hl/src/H5LTanalyze.c
-+++ b/hl/src/H5LTanalyze.c
-@@ -40,6 +40,7 @@
- #include <string.h>
- #include <errno.h>
- #include <stdlib.h>
-+#include <unistd.h>
-
- /* end standard C headers. */
-
---- a/hl/src/H5LTanalyze.l
-+++ b/hl/src/H5LTanalyze.l
-@@ -16,6 +16,7 @@
- %{
- #include <stdlib.h>
- #include <string.h>
-+#include <unistd.h>
- #include <hdf5.h>
- #include "H5LTparse.h"
-
---- a/test/cache_common.h
-+++ b/test/cache_common.h
-@@ -702,5 +702,8 @@ void validate_mdc_config(hid_t file_id,
- hbool_t compare_init,
- int test_num);
-
-+hbool_t resize_configs_are_equal(const H5C_auto_size_ctl_t *a,
-+ const H5C_auto_size_ctl_t *b,
-+ hbool_t compare_init);
- #endif /* _CACHE_COMMON_H */
-
---- a/testpar/t_span_tree.c
-+++ b/testpar/t_span_tree.c
-@@ -37,6 +37,9 @@
- #include "hdf5.h"
- #include "H5private.h"
- #include "testphdf5.h"
-+#define H5S_PACKAGE
-+#define H5S_TESTING
-+#include "H5Spkg.h"
-
-
- static void coll_write_test(int chunk_factor);
diff --git a/sci-libs/hdf5/files/hdf5-1.8.14-ldflags.patch b/sci-libs/hdf5/files/hdf5-1.8.14-ldflags.patch
deleted file mode 100644
index c27800d9ce3..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.14-ldflags.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-Revert changes made to fix HDFFV-8944
-
-https://bugs.gentoo.org/show_bug.cgi?id=530746
-
---- a/configure.ac
-+++ b/configure.ac
-@@ -115,12 +115,7 @@
- AM_CXXFLAGS="${AM_CXXFLAGS}"
- AM_FCFLAGS="${AM_FCFLAGS}"
- AM_CPPFLAGS="${AM_CPPFLAGS}"
--# Added to address HDFFV-8944
--if test "x$prefix" = xNONE; then
-- AM_LDFLAGS="$AM_LDFLAGS -L$ac_default_prefix/lib"
--else
-- AM_LDFLAGS="$AM_LDFLAGS -L$prefix/lib"
--fi
-+AM_LDFLAGS="${AM_LDFLAGS}"
- CFLAGS="${CFLAGS}"
- CXXFLAGS="${CXXFLAGS}"
- FCFLAGS="${FCFLAGS}"
diff --git a/sci-libs/hdf5/files/hdf5-1.8.8-array_bounds.patch b/sci-libs/hdf5/files/hdf5-1.8.8-array_bounds.patch
deleted file mode 100644
index 042d012d162..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.8-array_bounds.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/perform/pio_engine.c
-+++ b/perform/pio_engine.c
-@@ -454,7 +454,7 @@
- subdir = (user ? user : login);
-
- if (subdir) {
-- for (i = 0; i < size && prefix[i]; i++)
-+ for (i = 0; i < size-1 && prefix[i]; i++)
- fullname[i] = prefix[i];
-
- fullname[i++] = '/';
---- a/perform/sio_engine.c
-+++ b/perform/sio_engine.c
-@@ -353,7 +353,7 @@
- subdir = (user ? user : login);
-
- if (subdir) {
-- for (i = 0; i < size && prefix[i]; i++)
-+ for (i = 0; i < size-1 && prefix[i]; i++)
- fullname[i] = prefix[i];
-
- fullname[i++] = '/';
diff --git a/sci-libs/hdf5/files/hdf5-1.8.8-buildsystem.patch b/sci-libs/hdf5/files/hdf5-1.8.8-buildsystem.patch
deleted file mode 100644
index 0f85cf5ed24..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.8-buildsystem.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-Prevent build system with messing up LD_LIBRARY_PATH
-
---- a/configure.in
-+++ b/configure.in
-@@ -2328,8 +2328,6 @@
- dnl
- AC_MSG_CHECKING([how to print long long])
- AC_CACHE_VAL([hdf5_cv_printf_ll],
--LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo $AM_LDFLAGS $LDFLAGS | sed -e 's/-L/:/g' -e 's/ //g'`"
--export LD_LIBRARY_PATH
-
- for hdf5_cv_printf_ll in l ll L q unknown; do
- AC_TRY_RUN([
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -125,8 +125,6 @@
- # Remove the generated .c file if errors occur unless HDF5_Make_Ignore
- # is set to ignore the error.
- H5Tinit.c: H5detect$(EXEEXT)
-- LD_LIBRARY_PATH="$$LD_LIBRARY_PATH`echo $(LDFLAGS) | \
-- sed -e 's/-L/:/g' -e 's/ //g'`" \
- $(RUNSERIAL) ./H5detect$(EXEEXT) > $@ || \
- (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
- ($(RM) $@ ; exit 1)
-@@ -137,8 +135,6 @@
- # Remove the generated .c file if errors occur unless HDF5_Make_Ignore
- # is set to ignore the error.
- H5lib_settings.c: H5make_libsettings$(EXEEXT) libhdf5.settings
-- LD_LIBRARY_PATH="$$LD_LIBRARY_PATH`echo $(LDFLAGS) | \
-- sed -e 's/-L/:/g' -e 's/ //g'`" \
- $(RUNSERIAL) ./H5make_libsettings$(EXEEXT) > $@ || \
- (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
- ($(RM) $@ ; exit 1)
diff --git a/sci-libs/hdf5/files/hdf5-1.8.8-implicits.patch b/sci-libs/hdf5/files/hdf5-1.8.8-implicits.patch
deleted file mode 100644
index d1217e83a98..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.8-implicits.patch
+++ /dev/null
@@ -1,85 +0,0 @@
---- b/configure.in
-+++ a/configure.in
-@@ -1499,6 +1499,9 @@
- dnl though we do not do this as it breaks the big test on older versions
- dnl of linux (CentOS 4.6) using newer versions of gcc (4.6.2).
- AM_CPPFLAGS="-D_BSD_SOURCE $AM_CPPFLAGS"
-+
-+ dnl _GNU_SOURCE is needed for vasprintf
-+ AM_CPPFLAGS="-D_GNU_SOURCE $AM_CPPFLAGS"
- ;;
- esac
-
---- a/test/cache_common.h
-+++ b/test/cache_common.h
-@@ -702,5 +702,9 @@
- hbool_t compare_init,
- int test_num);
-
-+hbool_t resize_configs_are_equal(const H5C_auto_size_ctl_t *a,
-+ const H5C_auto_size_ctl_t *b,
-+ hbool_t compare_init);
-+
- #endif /* _CACHE_COMMON_H */
-
---- a/tools/misc/talign.c
-+++ b/tools/misc/talign.c
-@@ -23,6 +23,7 @@
-
- #include "hdf5.h"
- #include "H5private.h"
-+#include "h5tools.h"
-
- const char *fname = "talign.h5";
- const char *setname = "align";
---- a/tools/h5repack/testh5repack_detect_szip.c
-+++ b/tools/h5repack/testh5repack_detect_szip.c
-@@ -17,6 +17,7 @@
- #include "h5repack.h"
- #include "h5tools.h"
- #include "h5test.h"
-+#include "h5tools_utils.h"
-
-
- /* Name of tool */
---- a/tools/h5jam/h5jam.c
-+++ b/tools/h5jam/h5jam.c
-@@ -15,6 +15,7 @@
-
- #include "hdf5.h"
- #include "H5private.h"
-+#include "h5tools.h"
- #include "h5tools_utils.h"
-
- /* Name of tool */
---- a/tools/h5jam/h5unjam.c
-+++ b/tools/h5jam/h5unjam.c
-@@ -15,6 +15,7 @@
-
- #include "hdf5.h"
- #include "H5private.h"
-+#include "h5tools.h"
- #include "h5tools_utils.h"
-
- /* Name of tool */
---- a/tools/h5copy/h5copygentest.c
-+++ b/tools/h5copy/h5copygentest.c
-@@ -20,6 +20,7 @@
- #include "hdf5.h"
- #include "H5private.h"
- #include "h5tools.h"
-+#include "h5tools_utils.h"
-
- /* Name of tool */
- #define PROGRAMNAME "h5copygentest"
---- a/hl/src/H5LTanalyze.c
-+++ b/hl/src/H5LTanalyze.c
-@@ -49,7 +49,8 @@
- #define YY_FLEX_MINOR_VERSION 5
-
- #include <stdio.h>
-+#include "H5pubconf.h"
- #ifdef H5_HAVE_UNISTD_H
- #include <unistd.h>
- #endif
-
diff --git a/sci-libs/hdf5/files/hdf5-1.8.9-implicits.patch b/sci-libs/hdf5/files/hdf5-1.8.9-implicits.patch
deleted file mode 100644
index 43e4f0774a2..00000000000
--- a/sci-libs/hdf5/files/hdf5-1.8.9-implicits.patch
+++ /dev/null
@@ -1,55 +0,0 @@
---- b/configure.in
-+++ a/configure.in
-@@ -1499,6 +1499,9 @@
- dnl though we do not do this as it breaks the big test on older versions
- dnl of linux (CentOS 4.6) using newer versions of gcc (4.6.2).
- AM_CPPFLAGS="-D_BSD_SOURCE $AM_CPPFLAGS"
-+
-+ dnl _GNU_SOURCE is needed for vasprintf
-+ AM_CPPFLAGS="-D_GNU_SOURCE $AM_CPPFLAGS"
- ;;
- esac
-
---- a/test/cache_common.h
-+++ b/test/cache_common.h
-@@ -702,5 +702,9 @@
- hbool_t compare_init,
- int test_num);
-
-+hbool_t resize_configs_are_equal(const H5C_auto_size_ctl_t *a,
-+ const H5C_auto_size_ctl_t *b,
-+ hbool_t compare_init);
-+
- #endif /* _CACHE_COMMON_H */
-
---- a/tools/misc/talign.c
-+++ b/tools/misc/talign.c
-@@ -23,6 +23,7 @@
-
- #include "hdf5.h"
- #include "H5private.h"
-+#include "h5tools.h"
-
- const char *fname = "talign.h5";
- const char *setname = "align";
---- a/tools/h5repack/testh5repack_detect_szip.c
-+++ b/tools/h5repack/testh5repack_detect_szip.c
-@@ -17,6 +17,7 @@
- #include "h5repack.h"
- #include "h5tools.h"
- #include "h5test.h"
-+#include "h5tools_utils.h"
-
-
- /* Name of tool */
---- a/hl/src/H5LTanalyze.c
-+++ b/hl/src/H5LTanalyze.c
-@@ -49,7 +49,8 @@
- #define YY_FLEX_MINOR_VERSION 5
-
- #include <stdio.h>
-+#include "H5pubconf.h"
- #ifdef H5_HAVE_UNISTD_H
- #include <unistd.h>
- #endif
-
diff --git a/sci-libs/hdf5/files/mpd.conf b/sci-libs/hdf5/files/mpd.conf
deleted file mode 100644
index 07dd9825023..00000000000
--- a/sci-libs/hdf5/files/mpd.conf
+++ /dev/null
@@ -1,2 +0,0 @@
-secretword=test69hike
-MPD_SECRETWORD=test69hike
diff --git a/sci-libs/hdf5/hdf5-1.8.14-r1.ebuild b/sci-libs/hdf5/hdf5-1.8.14-r1.ebuild
deleted file mode 100644
index cad6c4294db..00000000000
--- a/sci-libs/hdf5/hdf5-1.8.14-r1.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-FORTRAN_NEEDED=fortran
-AUTOTOOLS_AUTORECONF=1
-
-inherit autotools-utils eutils fortran-2 flag-o-matic toolchain-funcs multilib
-
-MY_P=${PN}-${PV/_p/-patch}
-
-DESCRIPTION="General purpose library and file format for storing scientific data"
-HOMEPAGE="http://www.hdfgroup.org/HDF5/"
-SRC_URI="https://support.hdfgroup.org/ftp/HDF5/releases/${MY_P}/src/${MY_P}.tar.bz2"
-
-LICENSE="NCSA-HDF"
-SLOT="0/${PV%%_p*}"
-KEYWORDS="alpha amd64 ~arm ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="cxx debug examples fortran fortran2003 mpi static-libs szip threads zlib"
-
-REQUIRED_USE="
- cxx? ( !mpi ) mpi? ( !cxx )
- threads? ( !cxx !mpi !fortran )
- fortran2003? ( fortran )"
-
-RDEPEND="
- mpi? ( virtual/mpi[romio] )
- szip? ( virtual/szip )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- sys-devel/libtool:2
- >=sys-devel/autoconf-2.69"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.8.9-static_libgfortran.patch
- "${FILESDIR}"/${PN}-1.8.9-mpicxx.patch
- "${FILESDIR}"/${PN}-1.8.13-no-messing-ldpath.patch
- "${FILESDIR}"/${PN}-1.8.14-implicits.patch
- "${FILESDIR}"/${PN}-1.8.14-ldflags.patch
-)
-
-pkg_setup() {
- tc-export CXX CC AR # workaround for bug 285148
- if use fortran; then
- use fortran2003 && FORTRAN_STANDARD=2003
- fortran-2_pkg_setup
- fi
- if use mpi; then
- if has_version 'sci-libs/hdf5[-mpi]'; then
- ewarn "Installing hdf5 with mpi enabled with a previous hdf5 with mpi disabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to enabling mpi support."
- fi
- export CC=mpicc
- use fortran && export FC=mpif90
- elif has_version 'sci-libs/hdf5[mpi]'; then
- ewarn "Installing hdf5 with mpi disabled while having hdf5 installed with mpi enabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to disabling mpi support."
- fi
-}
-
-src_prepare() {
- # respect gentoo examples directory
- sed \
- -e "s:hdf5_examples:doc/${PF}/examples:g" \
- -i $(find . -name Makefile.am) $(find . -name "run*.sh.in") || die
- sed \
- -e '/docdir/d' \
- -i config/commence.am || die
- if ! use examples; then
- sed -e '/^install:/ s/install-examples//' \
- -i Makefile.am || die #409091
- fi
- # enable shared libs by default for h5cc config utility
- sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" tools/misc/h5cc.in || die
- # bug #419677
- use prefix && \
- append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir) \
- -Wl,-rpath,"${EPREFIX}"/$(get_libdir)
- autotools-utils_src_prepare
-}
-
-src_configure() {
- local myeconfargs=(
- --enable-production
- --docdir="${EPREFIX}"/usr/share/doc/${PF}
- --enable-deprecated-symbols
- $(use_enable prefix sharedlib-rpath)
- $(use_enable debug debug all)
- $(use_enable debug codestack)
- $(use_enable cxx)
- $(use_enable fortran)
- $(use_enable fortran2003)
- $(use_enable mpi parallel)
- $(use_enable threads threadsafe)
- $(use_with szip szlib)
- $(use_with threads pthread)
- $(use_with zlib)
- )
- autotools-utils_src_configure
-}
diff --git a/sci-libs/hdf5/hdf5-1.8.15_p1.ebuild b/sci-libs/hdf5/hdf5-1.8.15_p1.ebuild
deleted file mode 100644
index 7ce15e72502..00000000000
--- a/sci-libs/hdf5/hdf5-1.8.15_p1.ebuild
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-FORTRAN_NEEDED=fortran
-AUTOTOOLS_AUTORECONF=1
-
-inherit autotools-utils eutils fortran-2 flag-o-matic toolchain-funcs multilib
-
-MY_P=${PN}-${PV/_p/-patch}
-
-DESCRIPTION="General purpose library and file format for storing scientific data"
-HOMEPAGE="http://www.hdfgroup.org/HDF5/"
-SRC_URI="https://support.hdfgroup.org/ftp/HDF5/releases/${MY_P}/src/${MY_P}.tar.bz2"
-
-LICENSE="NCSA-HDF"
-SLOT="0/${PV%%_p*}"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="cxx debug examples fortran fortran2003 mpi static-libs szip threads zlib"
-
-REQUIRED_USE="
- cxx? ( !mpi ) mpi? ( !cxx )
- threads? ( !cxx !mpi !fortran )
- fortran2003? ( fortran )"
-
-RDEPEND="
- mpi? ( virtual/mpi[romio] )
- szip? ( virtual/szip )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- sys-devel/libtool:2
- >=sys-devel/autoconf-2.69"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.8.9-static_libgfortran.patch
- "${FILESDIR}"/${PN}-1.8.9-mpicxx.patch
- "${FILESDIR}"/${PN}-1.8.13-no-messing-ldpath.patch
- "${FILESDIR}"/${PN}-1.8.15-implicits.patch
-)
-
-pkg_setup() {
- tc-export CXX CC AR # workaround for bug 285148
- if use fortran; then
- use fortran2003 && FORTRAN_STANDARD=2003
- fortran-2_pkg_setup
- fi
- if use mpi; then
- if has_version 'sci-libs/hdf5[-mpi]'; then
- ewarn "Installing hdf5 with mpi enabled with a previous hdf5 with mpi disabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to enabling mpi support."
- fi
- export CC=mpicc
- use fortran && export FC=mpif90
- elif has_version 'sci-libs/hdf5[mpi]'; then
- ewarn "Installing hdf5 with mpi disabled while having hdf5 installed with mpi enabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to disabling mpi support."
- fi
-}
-
-src_prepare() {
- # respect gentoo examples directory
- sed \
- -e "s:hdf5_examples:doc/${PF}/examples:g" \
- -i $(find . -name Makefile.am) $(find . -name "run*.sh.in") || die
- sed \
- -e '/docdir/d' \
- -i config/commence.am || die
- if ! use examples; then
- sed -e '/^install:/ s/install-examples//' \
- -i Makefile.am || die #409091
- fi
- # enable shared libs by default for h5cc config utility
- sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" tools/misc/h5cc.in || die
- # bug #419677
- use prefix && \
- append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir) \
- -Wl,-rpath,"${EPREFIX}"/$(get_libdir)
- autotools-utils_src_prepare
-}
-
-src_configure() {
- local myeconfargs=(
- --enable-production
- --docdir="${EPREFIX}"/usr/share/doc/${PF}
- --enable-deprecated-symbols
- $(use_enable prefix sharedlib-rpath)
- $(use_enable debug debug all)
- $(use_enable debug codestack)
- $(use_enable cxx)
- $(use_enable fortran)
- $(use_enable fortran2003)
- $(use_enable mpi parallel)
- $(use_enable threads threadsafe)
- $(use_with szip szlib)
- $(use_with threads pthread)
- $(use_with zlib)
- )
- autotools-utils_src_configure
-}
diff --git a/sci-libs/hdf5/hdf5-1.8.17.ebuild b/sci-libs/hdf5/hdf5-1.8.17.ebuild
deleted file mode 100644
index 7b186c5cf20..00000000000
--- a/sci-libs/hdf5/hdf5-1.8.17.ebuild
+++ /dev/null
@@ -1,110 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-FORTRAN_NEEDED=fortran
-AUTOTOOLS_AUTORECONF=1
-
-inherit autotools-utils eutils fortran-2 flag-o-matic toolchain-funcs multilib
-
-MY_P=${PN}-${PV/_p/-patch}
-
-DESCRIPTION="General purpose library and file format for storing scientific data"
-HOMEPAGE="http://www.hdfgroup.org/HDF5/"
-SRC_URI="https://support.hdfgroup.org/ftp/HDF5/releases/${MY_P}/src/${MY_P}.tar.bz2"
-
-LICENSE="NCSA-HDF"
-SLOT="0/${PV%%_p*}"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="cxx debug examples fortran fortran2003 +hl mpi static-libs szip threads zlib"
-
-REQUIRED_USE="
- threads? ( !cxx !mpi !fortran !hl )
- fortran2003? ( fortran )"
-
-RDEPEND="
- mpi? ( virtual/mpi[romio] )
- szip? ( virtual/szip )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- sys-devel/libtool:2
- >=sys-devel/autoconf-2.69"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.8.9-static_libgfortran.patch
- "${FILESDIR}"/${PN}-1.8.9-mpicxx.patch
- "${FILESDIR}"/${PN}-1.8.13-no-messing-ldpath.patch
- "${FILESDIR}"/${PN}-1.8.15-implicits.patch
-)
-
-pkg_setup() {
- tc-export CXX CC AR # workaround for bug 285148
- if use fortran; then
- use fortran2003 && FORTRAN_STANDARD=2003
- fortran-2_pkg_setup
- fi
- if use mpi; then
- if has_version 'sci-libs/hdf5[-mpi]'; then
- ewarn "Installing hdf5 with mpi enabled with a previous hdf5 with mpi disabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to enabling mpi support."
- fi
- export CC=mpicc
- use fortran && export FC=mpif90
- if use cxx ; then
- export CXX=mpicxx
- ewarn "USE='mpi cxx' requires a configuration unsupported by upstream. Use at your own risk."
- ewarn "In particular, the C++ API is not parallel safe."
- fi
- elif has_version 'sci-libs/hdf5[mpi]'; then
- ewarn "Installing hdf5 with mpi disabled while having hdf5 installed with mpi enabled may fail."
- ewarn "Try to uninstall the current hdf5 prior to disabling mpi support."
- fi
-}
-
-src_prepare() {
- # respect gentoo examples directory
- sed \
- -e "s:hdf5_examples:doc/${PF}/examples:g" \
- -i $(find . -name Makefile.am) $(find . -name "run*.sh.in") || die
- sed \
- -e '/docdir/d' \
- -i config/commence.am || die
- if ! use examples; then
- sed -e '/^install:/ s/install-examples//' \
- -i Makefile.am || die #409091
- fi
- # enable shared libs by default for h5cc config utility
- sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" tools/misc/h5cc.in || die
- # bug #419677
- use prefix && \
- append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir) \
- -Wl,-rpath,"${EPREFIX}"/$(get_libdir)
- autotools-utils_src_prepare
-}
-
-src_configure() {
- local myeconfargs=(
- --enable-production
- --docdir="${EPREFIX}"/usr/share/doc/${PF}
- --enable-deprecated-symbols
- $(use_enable prefix sharedlib-rpath)
- $(use_enable debug debug all)
- $(use_enable debug codestack)
- $(use_enable cxx)
- $(use_enable fortran)
- $(use_enable fortran2003)
- $(use_enable hl)
- $(use_enable mpi parallel)
- $(use_enable threads threadsafe)
- $(use_with szip szlib)
- $(use_with threads pthread)
- $(use_with zlib)
- $(use mpi && use cxx && echo --enable-unsupported)
- )
- autotools-utils_src_configure
-}